/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBClusterInput } from "../types/DeleteDBClusterInput";
import { DeleteDBClusterOutput } from "../types/DeleteDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBClusterInput";
export * from "../types/DeleteDBClusterOutput";
export * from "../types/DeleteDBClusterExceptionsUnion";
export declare class DeleteDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBClusterInput, OutputTypesUnion, DeleteDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBClusterInput, DeleteDBClusterOutput, _stream.Readable>;
    constructor(input: DeleteDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBClusterInput, DeleteDBClusterOutput>;
}
