/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBLogFilesInput } from "../types/DescribeDBLogFilesInput";
import { DescribeDBLogFilesOutput } from "../types/DescribeDBLogFilesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBLogFilesInput";
export * from "../types/DescribeDBLogFilesOutput";
export * from "../types/DescribeDBLogFilesExceptionsUnion";
export declare class DescribeDBLogFilesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBLogFilesInput, OutputTypesUnion, DescribeDBLogFilesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBLogFilesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBLogFilesInput, DescribeDBLogFilesOutput, _stream.Readable>;
    constructor(input: DescribeDBLogFilesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBLogFilesInput, DescribeDBLogFilesOutput>;
}
