/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBParametersInput } from "../types/DescribeDBParametersInput";
import { DescribeDBParametersOutput } from "../types/DescribeDBParametersOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBParametersInput";
export * from "../types/DescribeDBParametersOutput";
export * from "../types/DescribeDBParametersExceptionsUnion";
export declare class DescribeDBParametersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBParametersInput, OutputTypesUnion, DescribeDBParametersOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBParametersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBParametersInput, DescribeDBParametersOutput, _stream.Readable>;
    constructor(input: DescribeDBParametersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBParametersInput, DescribeDBParametersOutput>;
}
