/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBSnapshotsInput } from "../types/DescribeDBSnapshotsInput";
import { DescribeDBSnapshotsOutput } from "../types/DescribeDBSnapshotsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBSnapshotsInput";
export * from "../types/DescribeDBSnapshotsOutput";
export * from "../types/DescribeDBSnapshotsExceptionsUnion";
export declare class DescribeDBSnapshotsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBSnapshotsInput, OutputTypesUnion, DescribeDBSnapshotsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBSnapshotsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBSnapshotsInput, DescribeDBSnapshotsOutput, _stream.Readable>;
    constructor(input: DescribeDBSnapshotsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBSnapshotsInput, DescribeDBSnapshotsOutput>;
}
