/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEngineDefaultClusterParametersInput } from "../types/DescribeEngineDefaultClusterParametersInput";
import { DescribeEngineDefaultClusterParametersOutput } from "../types/DescribeEngineDefaultClusterParametersOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeEngineDefaultClusterParametersInput";
export * from "../types/DescribeEngineDefaultClusterParametersOutput";
export * from "../types/DescribeEngineDefaultClusterParametersExceptionsUnion";
export declare class DescribeEngineDefaultClusterParametersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEngineDefaultClusterParametersInput, OutputTypesUnion, DescribeEngineDefaultClusterParametersOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeEngineDefaultClusterParametersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEngineDefaultClusterParametersInput, DescribeEngineDefaultClusterParametersOutput, _stream.Readable>;
    constructor(input: DescribeEngineDefaultClusterParametersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeEngineDefaultClusterParametersInput, DescribeEngineDefaultClusterParametersOutput>;
}
