/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBSnapshotAttributeInput } from "../types/ModifyDBSnapshotAttributeInput";
import { ModifyDBSnapshotAttributeOutput } from "../types/ModifyDBSnapshotAttributeOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBSnapshotAttributeInput";
export * from "../types/ModifyDBSnapshotAttributeOutput";
export * from "../types/ModifyDBSnapshotAttributeExceptionsUnion";
export declare class ModifyDBSnapshotAttributeCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBSnapshotAttributeInput, OutputTypesUnion, ModifyDBSnapshotAttributeOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBSnapshotAttributeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBSnapshotAttributeInput, ModifyDBSnapshotAttributeOutput, _stream.Readable>;
    constructor(input: ModifyDBSnapshotAttributeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBSnapshotAttributeInput, ModifyDBSnapshotAttributeOutput>;
}
