/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PromoteReadReplicaDBClusterInput } from "../types/PromoteReadReplicaDBClusterInput";
import { PromoteReadReplicaDBClusterOutput } from "../types/PromoteReadReplicaDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/PromoteReadReplicaDBClusterInput";
export * from "../types/PromoteReadReplicaDBClusterOutput";
export * from "../types/PromoteReadReplicaDBClusterExceptionsUnion";
export declare class PromoteReadReplicaDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, PromoteReadReplicaDBClusterInput, OutputTypesUnion, PromoteReadReplicaDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: PromoteReadReplicaDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PromoteReadReplicaDBClusterInput, PromoteReadReplicaDBClusterOutput, _stream.Readable>;
    constructor(input: PromoteReadReplicaDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<PromoteReadReplicaDBClusterInput, PromoteReadReplicaDBClusterOutput>;
}
