/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBClusterFromS3Input } from "../types/RestoreDBClusterFromS3Input";
import { RestoreDBClusterFromS3Output } from "../types/RestoreDBClusterFromS3Output";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBClusterFromS3Input";
export * from "../types/RestoreDBClusterFromS3Output";
export * from "../types/RestoreDBClusterFromS3ExceptionsUnion";
export declare class RestoreDBClusterFromS3Command implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBClusterFromS3Input, OutputTypesUnion, RestoreDBClusterFromS3Output, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBClusterFromS3Input;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBClusterFromS3Input, RestoreDBClusterFromS3Output, _stream.Readable>;
    constructor(input: RestoreDBClusterFromS3Input);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBClusterFromS3Input, RestoreDBClusterFromS3Output>;
}
