"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBClusterParameterGroupInput_1 = require("../shapes/DeleteDBClusterParameterGroupInput");
const DeleteDBClusterParameterGroupOutput_1 = require("../shapes/DeleteDBClusterParameterGroupOutput");
const InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBClusterParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBClusterParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBClusterParameterGroupInput_1.DeleteDBClusterParameterGroupInput
    },
    output: {
        shape: DeleteDBClusterParameterGroupOutput_1.DeleteDBClusterParameterGroupOutput
    },
    errors: [
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBClusterParameterGroup.js.map