"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBSecurityGroupInput_1 = require("../shapes/DeleteDBSecurityGroupInput");
const DeleteDBSecurityGroupOutput_1 = require("../shapes/DeleteDBSecurityGroupOutput");
const InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBSecurityGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBSecurityGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBSecurityGroupInput_1.DeleteDBSecurityGroupInput
    },
    output: {
        shape: DeleteDBSecurityGroupOutput_1.DeleteDBSecurityGroupOutput
    },
    errors: [
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBSecurityGroup.js.map