"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBSnapshotInput_1 = require("../shapes/DeleteDBSnapshotInput");
const DeleteDBSnapshotOutput_1 = require("../shapes/DeleteDBSnapshotOutput");
const InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBSnapshotInput_1.DeleteDBSnapshotInput
    },
    output: {
        shape: DeleteDBSnapshotOutput_1.DeleteDBSnapshotOutput,
        resultWrapper: "DeleteDBSnapshotResult"
    },
    errors: [
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBSnapshot.js.map