"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBInstanceAutomatedBackupsInput_1 = require("../shapes/DescribeDBInstanceAutomatedBackupsInput");
const DescribeDBInstanceAutomatedBackupsOutput_1 = require("../shapes/DescribeDBInstanceAutomatedBackupsOutput");
const DBInstanceAutomatedBackupNotFoundFault_1 = require("../shapes/DBInstanceAutomatedBackupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBInstanceAutomatedBackups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBInstanceAutomatedBackups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBInstanceAutomatedBackupsInput_1.DescribeDBInstanceAutomatedBackupsInput
    },
    output: {
        shape: DescribeDBInstanceAutomatedBackupsOutput_1.DescribeDBInstanceAutomatedBackupsOutput,
        resultWrapper: "DescribeDBInstanceAutomatedBackupsResult"
    },
    errors: [
        {
            shape: DBInstanceAutomatedBackupNotFoundFault_1.DBInstanceAutomatedBackupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBInstanceAutomatedBackups.js.map