"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBSecurityGroupsInput_1 = require("../shapes/DescribeDBSecurityGroupsInput");
const DescribeDBSecurityGroupsOutput_1 = require("../shapes/DescribeDBSecurityGroupsOutput");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBSecurityGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBSecurityGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBSecurityGroupsInput_1.DescribeDBSecurityGroupsInput
    },
    output: {
        shape: DescribeDBSecurityGroupsOutput_1.DescribeDBSecurityGroupsOutput,
        resultWrapper: "DescribeDBSecurityGroupsResult"
    },
    errors: [
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBSecurityGroups.js.map