"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeValidDBInstanceModificationsInput_1 = require("../shapes/DescribeValidDBInstanceModificationsInput");
const DescribeValidDBInstanceModificationsOutput_1 = require("../shapes/DescribeValidDBInstanceModificationsOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeValidDBInstanceModifications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeValidDBInstanceModifications",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeValidDBInstanceModificationsInput_1.DescribeValidDBInstanceModificationsInput
    },
    output: {
        shape: DescribeValidDBInstanceModificationsOutput_1.DescribeValidDBInstanceModificationsOutput,
        resultWrapper: "DescribeValidDBInstanceModificationsResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=DescribeValidDBInstanceModifications.js.map