"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBClusterSnapshotAttributeInput_1 = require("../shapes/ModifyDBClusterSnapshotAttributeInput");
const ModifyDBClusterSnapshotAttributeOutput_1 = require("../shapes/ModifyDBClusterSnapshotAttributeOutput");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const SharedSnapshotQuotaExceededFault_1 = require("../shapes/SharedSnapshotQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBClusterSnapshotAttribute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBClusterSnapshotAttribute",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBClusterSnapshotAttributeInput_1.ModifyDBClusterSnapshotAttributeInput
    },
    output: {
        shape: ModifyDBClusterSnapshotAttributeOutput_1.ModifyDBClusterSnapshotAttributeOutput,
        resultWrapper: "ModifyDBClusterSnapshotAttributeResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: SharedSnapshotQuotaExceededFault_1.SharedSnapshotQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=ModifyDBClusterSnapshotAttribute.js.map