"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemoveRoleFromDBInstanceInput_1 = require("../shapes/RemoveRoleFromDBInstanceInput");
const RemoveRoleFromDBInstanceOutput_1 = require("../shapes/RemoveRoleFromDBInstanceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBInstanceRoleNotFoundFault_1 = require("../shapes/DBInstanceRoleNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveRoleFromDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveRoleFromDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveRoleFromDBInstanceInput_1.RemoveRoleFromDBInstanceInput
    },
    output: {
        shape: RemoveRoleFromDBInstanceOutput_1.RemoveRoleFromDBInstanceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBInstanceRoleNotFoundFault_1.DBInstanceRoleNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=RemoveRoleFromDBInstance.js.map