"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResetDBClusterParameterGroupInput_1 = require("../shapes/ResetDBClusterParameterGroupInput");
const ResetDBClusterParameterGroupOutput_1 = require("../shapes/ResetDBClusterParameterGroupOutput");
const InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ResetDBClusterParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ResetDBClusterParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ResetDBClusterParameterGroupInput_1.ResetDBClusterParameterGroupInput
    },
    output: {
        shape: ResetDBClusterParameterGroupOutput_1.ResetDBClusterParameterGroupOutput,
        resultWrapper: "ResetDBClusterParameterGroupResult"
    },
    errors: [
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=ResetDBClusterParameterGroup.js.map