"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CopyDBClusterSnapshotInput = {
    type: "structure",
    required: [
        "SourceDBClusterSnapshotIdentifier",
        "TargetDBClusterSnapshotIdentifier"
    ],
    members: {
        SourceDBClusterSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBClusterSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        PreSignedUrl: {
            shape: {
                type: "string"
            }
        },
        CopyTags: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CopyDBClusterSnapshotInput.js.map