"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _EngineModeList_1 = require("./_EngineModeList");
exports._Parameter = {
    type: "structure",
    required: [],
    members: {
        ParameterName: {
            shape: {
                type: "string"
            }
        },
        ParameterValue: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Source: {
            shape: {
                type: "string"
            }
        },
        ApplyType: {
            shape: {
                type: "string"
            }
        },
        DataType: {
            shape: {
                type: "string"
            }
        },
        AllowedValues: {
            shape: {
                type: "string"
            }
        },
        IsModifiable: {
            shape: {
                type: "boolean"
            }
        },
        MinimumEngineVersion: {
            shape: {
                type: "string"
            }
        },
        ApplyMethod: {
            shape: {
                type: "string"
            }
        },
        SupportedEngineModes: {
            shape: _EngineModeList_1._EngineModeList
        }
    }
};
//# sourceMappingURL=_Parameter.js.map