/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBSubnetGroupInput } from "../types/CreateDBSubnetGroupInput";
import { CreateDBSubnetGroupOutput } from "../types/CreateDBSubnetGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBSubnetGroupInput";
export * from "../types/CreateDBSubnetGroupOutput";
export * from "../types/CreateDBSubnetGroupExceptionsUnion";
export declare class CreateDBSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBSubnetGroupInput, OutputTypesUnion, CreateDBSubnetGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBSubnetGroupInput, CreateDBSubnetGroupOutput, _stream.Readable>;
    constructor(input: CreateDBSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBSubnetGroupInput, CreateDBSubnetGroupOutput>;
}
