/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeAccountAttributesInput } from "../types/DescribeAccountAttributesInput";
import { DescribeAccountAttributesOutput } from "../types/DescribeAccountAttributesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeAccountAttributesInput";
export * from "../types/DescribeAccountAttributesOutput";
export * from "../types/DescribeAccountAttributesExceptionsUnion";
export declare class DescribeAccountAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeAccountAttributesInput, OutputTypesUnion, DescribeAccountAttributesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeAccountAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeAccountAttributesInput, DescribeAccountAttributesOutput, _stream.Readable>;
    constructor(input: DescribeAccountAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeAccountAttributesInput, DescribeAccountAttributesOutput>;
}
