"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeValidDBInstanceModifications_1 = require("../model/operations/DescribeValidDBInstanceModifications");
class DescribeValidDBInstanceModificationsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeValidDBInstanceModifications_1.DescribeValidDBInstanceModifications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeValidDBInstanceModificationsCommand = DescribeValidDBInstanceModificationsCommand;
//# sourceMappingURL=DescribeValidDBInstanceModificationsCommand.js.map