/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBClusterEndpointInput } from "../types/ModifyDBClusterEndpointInput";
import { ModifyDBClusterEndpointOutput } from "../types/ModifyDBClusterEndpointOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBClusterEndpointInput";
export * from "../types/ModifyDBClusterEndpointOutput";
export * from "../types/ModifyDBClusterEndpointExceptionsUnion";
export declare class ModifyDBClusterEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBClusterEndpointInput, OutputTypesUnion, ModifyDBClusterEndpointOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBClusterEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBClusterEndpointInput, ModifyDBClusterEndpointOutput, _stream.Readable>;
    constructor(input: ModifyDBClusterEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBClusterEndpointInput, ModifyDBClusterEndpointOutput>;
}
