/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBSnapshotInput } from "../types/ModifyDBSnapshotInput";
import { ModifyDBSnapshotOutput } from "../types/ModifyDBSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBSnapshotInput";
export * from "../types/ModifyDBSnapshotOutput";
export * from "../types/ModifyDBSnapshotExceptionsUnion";
export declare class ModifyDBSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBSnapshotInput, OutputTypesUnion, ModifyDBSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBSnapshotInput, ModifyDBSnapshotOutput, _stream.Readable>;
    constructor(input: ModifyDBSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBSnapshotInput, ModifyDBSnapshotOutput>;
}
