/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBInstanceFromS3Input } from "../types/RestoreDBInstanceFromS3Input";
import { RestoreDBInstanceFromS3Output } from "../types/RestoreDBInstanceFromS3Output";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBInstanceFromS3Input";
export * from "../types/RestoreDBInstanceFromS3Output";
export * from "../types/RestoreDBInstanceFromS3ExceptionsUnion";
export declare class RestoreDBInstanceFromS3Command implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBInstanceFromS3Input, OutputTypesUnion, RestoreDBInstanceFromS3Output, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBInstanceFromS3Input;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBInstanceFromS3Input, RestoreDBInstanceFromS3Output, _stream.Readable>;
    constructor(input: RestoreDBInstanceFromS3Input);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBInstanceFromS3Input, RestoreDBInstanceFromS3Output>;
}
