/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopDBClusterInput } from "../types/StopDBClusterInput";
import { StopDBClusterOutput } from "../types/StopDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/StopDBClusterInput";
export * from "../types/StopDBClusterOutput";
export * from "../types/StopDBClusterExceptionsUnion";
export declare class StopDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, StopDBClusterInput, OutputTypesUnion, StopDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: StopDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopDBClusterInput, StopDBClusterOutput, _stream.Readable>;
    constructor(input: StopDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<StopDBClusterInput, StopDBClusterOutput>;
}
