/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopDBInstanceInput } from "../types/StopDBInstanceInput";
import { StopDBInstanceOutput } from "../types/StopDBInstanceOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/StopDBInstanceInput";
export * from "../types/StopDBInstanceOutput";
export * from "../types/StopDBInstanceExceptionsUnion";
export declare class StopDBInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, StopDBInstanceInput, OutputTypesUnion, StopDBInstanceOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: StopDBInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopDBInstanceInput, StopDBInstanceOutput, _stream.Readable>;
    constructor(input: StopDBInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<StopDBInstanceInput, StopDBInstanceOutput>;
}
