"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBClusterParameterGroupInput_1 = require("../shapes/CreateDBClusterParameterGroupInput");
const CreateDBClusterParameterGroupOutput_1 = require("../shapes/CreateDBClusterParameterGroupOutput");
const DBParameterGroupQuotaExceededFault_1 = require("../shapes/DBParameterGroupQuotaExceededFault");
const DBParameterGroupAlreadyExistsFault_1 = require("../shapes/DBParameterGroupAlreadyExistsFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBClusterParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBClusterParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterParameterGroupInput_1.CreateDBClusterParameterGroupInput
    },
    output: {
        shape: CreateDBClusterParameterGroupOutput_1.CreateDBClusterParameterGroupOutput,
        resultWrapper: "CreateDBClusterParameterGroupResult"
    },
    errors: [
        {
            shape: DBParameterGroupQuotaExceededFault_1.DBParameterGroupQuotaExceededFault
        },
        {
            shape: DBParameterGroupAlreadyExistsFault_1.DBParameterGroupAlreadyExistsFault
        }
    ]
};
//# sourceMappingURL=CreateDBClusterParameterGroup.js.map