"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeAccountAttributesInput_1 = require("../shapes/DescribeAccountAttributesInput");
const DescribeAccountAttributesOutput_1 = require("../shapes/DescribeAccountAttributesOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeAccountAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeAccountAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeAccountAttributesInput_1.DescribeAccountAttributesInput
    },
    output: {
        shape: DescribeAccountAttributesOutput_1.DescribeAccountAttributesOutput,
        resultWrapper: "DescribeAccountAttributesResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeAccountAttributes.js.map