"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBSnapshotAttributesInput_1 = require("../shapes/DescribeDBSnapshotAttributesInput");
const DescribeDBSnapshotAttributesOutput_1 = require("../shapes/DescribeDBSnapshotAttributesOutput");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBSnapshotAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBSnapshotAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBSnapshotAttributesInput_1.DescribeDBSnapshotAttributesInput
    },
    output: {
        shape: DescribeDBSnapshotAttributesOutput_1.DescribeDBSnapshotAttributesOutput,
        resultWrapper: "DescribeDBSnapshotAttributesResult"
    },
    errors: [
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBSnapshotAttributes.js.map