"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeEngineDefaultParametersInput_1 = require("../shapes/DescribeEngineDefaultParametersInput");
const DescribeEngineDefaultParametersOutput_1 = require("../shapes/DescribeEngineDefaultParametersOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEngineDefaultParameters = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEngineDefaultParameters",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEngineDefaultParametersInput_1.DescribeEngineDefaultParametersInput
    },
    output: {
        shape: DescribeEngineDefaultParametersOutput_1.DescribeEngineDefaultParametersOutput,
        resultWrapper: "DescribeEngineDefaultParametersResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeEngineDefaultParameters.js.map