"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeOptionGroupsInput_1 = require("../shapes/DescribeOptionGroupsInput");
const DescribeOptionGroupsOutput_1 = require("../shapes/DescribeOptionGroupsOutput");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeOptionGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeOptionGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeOptionGroupsInput_1.DescribeOptionGroupsInput
    },
    output: {
        shape: DescribeOptionGroupsOutput_1.DescribeOptionGroupsOutput,
        resultWrapper: "DescribeOptionGroupsResult"
    },
    errors: [
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeOptionGroups.js.map