"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeSourceRegionsInput_1 = require("../shapes/DescribeSourceRegionsInput");
const DescribeSourceRegionsOutput_1 = require("../shapes/DescribeSourceRegionsOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeSourceRegions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeSourceRegions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeSourceRegionsInput_1.DescribeSourceRegionsInput
    },
    output: {
        shape: DescribeSourceRegionsOutput_1.DescribeSourceRegionsOutput,
        resultWrapper: "DescribeSourceRegionsResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeSourceRegions.js.map