"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyGlobalClusterInput_1 = require("../shapes/ModifyGlobalClusterInput");
const ModifyGlobalClusterOutput_1 = require("../shapes/ModifyGlobalClusterOutput");
const GlobalClusterNotFoundFault_1 = require("../shapes/GlobalClusterNotFoundFault");
const InvalidGlobalClusterStateFault_1 = require("../shapes/InvalidGlobalClusterStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyGlobalCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyGlobalCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyGlobalClusterInput_1.ModifyGlobalClusterInput
    },
    output: {
        shape: ModifyGlobalClusterOutput_1.ModifyGlobalClusterOutput,
        resultWrapper: "ModifyGlobalClusterResult"
    },
    errors: [
        {
            shape: GlobalClusterNotFoundFault_1.GlobalClusterNotFoundFault
        },
        {
            shape: InvalidGlobalClusterStateFault_1.InvalidGlobalClusterStateFault
        }
    ]
};
//# sourceMappingURL=ModifyGlobalCluster.js.map