"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CopyOptionGroupInput = {
    type: "structure",
    required: [
        "SourceOptionGroupIdentifier",
        "TargetOptionGroupIdentifier",
        "TargetOptionGroupDescription"
    ],
    members: {
        SourceOptionGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetOptionGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetOptionGroupDescription: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CopyOptionGroupInput.js.map