import { DBInstanceNotFoundFault } from "./DBInstanceNotFoundFault";
import { InvalidDBInstanceStateFault } from "./InvalidDBInstanceStateFault";
import { InsufficientDBInstanceCapacityFault } from "./InsufficientDBInstanceCapacityFault";
import { DBSubnetGroupNotFoundFault } from "./DBSubnetGroupNotFoundFault";
import { DBSubnetGroupDoesNotCoverEnoughAZs } from "./DBSubnetGroupDoesNotCoverEnoughAZs";
import { InvalidDBClusterStateFault } from "./InvalidDBClusterStateFault";
import { InvalidSubnet } from "./InvalidSubnet";
import { InvalidVPCNetworkStateFault } from "./InvalidVPCNetworkStateFault";
import { DBClusterNotFoundFault } from "./DBClusterNotFoundFault";
import { AuthorizationNotFoundFault } from "./AuthorizationNotFoundFault";
import { KMSKeyNotAccessibleFault } from "./KMSKeyNotAccessibleFault";
export declare type StartDBInstanceExceptionsUnion = DBInstanceNotFoundFault | InvalidDBInstanceStateFault | InsufficientDBInstanceCapacityFault | DBSubnetGroupNotFoundFault | DBSubnetGroupDoesNotCoverEnoughAZs | InvalidDBClusterStateFault | InvalidSubnet | InvalidVPCNetworkStateFault | DBClusterNotFoundFault | AuthorizationNotFoundFault | KMSKeyNotAccessibleFault;
